import sys
import subprocess

def run_server():
    print("🚀 Запускаем FastAPI-сервер...")
    subprocess.run([sys.executable, "-m", "reportGeneration.server"])

def stop_server():
    """Останавливает сервер (пока вручную через Ctrl+C)"""
    print("⏹ Остановите сервер вручную (Ctrl+C). В будущем можно сделать kill по PID.")

if __name__ == "__main__":
    if len(sys.argv) < 2:
        print("Использование: python -m reportGeneration <команда>")
        print("Команды:")
        print("  runserver  - Запустить сервер")
        print("  stopserver - Остановить сервер")
    else:
        command = sys.argv[1]
        if command == "runserver":
            run_server()
        elif command == "stopserver":
            stop_server()
        else:
            print(f"Неизвестная команда: {command}")
